CMSIS-NN: arm_convolve_1x1_s8_fast.c File Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_convolve_1x1_s8_fast.c File Reference

## Macros

#define | DIM_KER_X
#define | DIM_KER_Y

## Functions

arm_status | arm_convolve_1x1_s8_fast (const cmsis_nn_context *ctx, const cmsis_nn_conv_params *conv_params, const cmsis_nn_per_channel_quant_params *quant_params, const cmsis_nn_dims *input_dims, const q7_t *input_data, const cmsis_nn_dims *filter_dims, const q7_t *filter_data, const cmsis_nn_dims *bias_dims, const int32_t *bias_data, const cmsis_nn_dims *output_dims, q7_t *output_data)
| Fast s8 version for 1x1 convolution (non-square shape) More...
int32_t | arm_convolve_1x1_s8_fast_get_buffer_size (const cmsis_nn_dims *input_dims)
| Get the required buffer size for arm_convolve_1x1_s8_fast. More...

## Macro Definition Documentation

#define DIM_KER_X

#define DIM_KER_Y